Skip to main content

Create Recovery Claim

POST 

/api/repairs/recovery-claims

Create Recovery Claim.

Required scope: repairs:write

Grant this scope to your token under Settings → Developer → Personal Access Tokens.

Request fields:

  • supplier_id (required): integer, exists:suppliers,id
  • line_ids (required): array, min:1, max:500
  • line_ids.* (optional): integer, distinct, exists:repair_order_lines,id
  • basis (optional): Enum:in:"unit_cost","repair_cost"
  • amounts (optional): array
  • amounts.* (optional): numeric, min:0, max:10000000
  • attachment_ids (optional): array, max:50
  • attachment_ids.* (optional): integer, distinct, exists:repair_attachments,id
  • notes (optional): string, max:5000

Permission: repairs.recovery. Authentication: Bearer token with the repairs:read / write scope.

Request​

Responses​

OK

Response Headers
    Content-Type